Apply bulk action to all envelopes from bulk send
Use this endpoint to resend, correct, or void all envelopes from a specified bulk send.
Authentication
AuthorizationBearer
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
accountId
The external account number (int) or account ID Guid.
bulkAction
The action to apply. Valid values:
resendcorrectvoid
bulkSendBatchId
The batch ID.
Request
This endpoint expects an object: bulkSendBatchActionRequest
action
The action to apply. Valid values:
ResendCorrectVoid
This property is required and case-sensitive. The value must correspond to the bulkAction query parameter.
notification
A complex element that specifies the notification settings for the envelope.
voidReason
A string explaining why the envelope is voided. This value is shown in a message to the recipients.
This property is required if action is Void.
Response
Successful response.
action
actionStatus
batchId
The batch ID.
batchName
The batch name.
batchSize
The number of of bulk envelopes submitted in the current batch
bulkErrors
An array of error statuses.
envelopeIdOrTemplateId
The ID of the draft envelope or template that was used to create the batch.
envelopesInfo
envelopesUri
The URI to get all envelopes sent in the batch.
failed
The number of envelopes that failed to process or send.
mailingListId
The ID of the mailing list used to create the batch.
mailingListName
ownerUserId
queued
The number of envelopes waiting in pending queue
resendsRemaining
senderUserId
The ID of the sender.
sent
The number of envelopes sent successfully.
submittedDate
The timestamp of when the batch was submitted in ISO 8601 format.
Errors
400
Bad Request Error